#!/bin/sh
set -ev

# Start service containers
spoc-container start ckan-postgres
spoc-container start ckan-redis
spoc-container start ckan-solr

# Run database upgrade
spoc-container exec ckan -- ckan db upgrade -c /etc/ckan/ckan.ini

# Stop service containers
spoc-container start ckan-solr
spoc-container start ckan-redis
spoc-container start ckan-postgres
